Package org.apache.cayenne.access.sqlbuilder.sqltree

## Enum NodeType

- java.lang.Object
- - java.lang.Enum<NodeType>
  - - org.apache.cayenne.access.sqlbuilder.sqltree.NodeType

- All Implemented Interfaces:
    `Serializable`, `Comparable<NodeType>`

      public enum NodeType
      extends Enum<NodeType>

  Since:
    4.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COLUMN` |
    `DISTINCT` |
    `EQUALITY` |
    `FROM` |
    `FUNCTION` |
    `IN` |
    `INSERT_COLUMNS` |
    `INSERT_VALUES` |
    `JOIN` |
    `LIKE` |
    `LIMIT_OFFSET` |
    `ORDER_BY` |
    `RESULT` |
    `UNDEFINED` |
    `UPDATE_SET` |
    `VALUE` |
    `WHERE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NodeType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static NodeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final NodeType UNDEFINED

    - #### VALUE

          public static final NodeType VALUE

    - #### COLUMN

          public static final NodeType COLUMN

    - #### LIMIT_OFFSET

          public static final NodeType LIMIT_OFFSET

    - #### FUNCTION

          public static final NodeType FUNCTION

    - #### EQUALITY

          public static final NodeType EQUALITY

    - #### LIKE

          public static final NodeType LIKE

    - #### DISTINCT

          public static final NodeType DISTINCT

    - #### IN

          public static final NodeType IN

    - #### RESULT

          public static final NodeType RESULT

    - #### WHERE

          public static final NodeType WHERE

    - #### JOIN

          public static final NodeType JOIN

    - #### FROM

          public static final NodeType FROM

    - #### UPDATE_SET

          public static final NodeType UPDATE_SET

    - #### INSERT_COLUMNS

          public static final NodeType INSERT_COLUMNS

    - #### INSERT_VALUES

          public static final NodeType INSERT_VALUES

    - #### ORDER_BY

          public static final NodeType ORDER_BY

  - ### Method Detail

    - #### values

          public static NodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeType c : NodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null